package com.diagbot.entity;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableId;
import java.io.Serializable;

/**
 * <p>
 * 
 * </p>
 *
 * @author gaodm
 * @since 2019-03-01
 */
public class Medical implements Serializable {

    private static final long serialVersionUID = 1L;

    @TableId(value = "id", type = IdType.AUTO)
    private Integer id;

    /**
     * 术语概念id
     */
    private Integer conceptId;

    /**
     * 术语名称
     */
    private String name;

    /**
     * 术语标准名
     */
    private String stdName;

    /**
     * 术语小类名称
     */
    private String cateName;

    /**
     * 术语类组
     */
    private String grp;

    /**
     * 作用名称
     */
    private String function;

    /**
     * 性别：1:男, 2:女, 3:通用
     */
    private String gender;

    /**
     * 症状发生的最小年龄
     */
    private Integer minAge;

    /**
     * 症状发生的最大年龄
     */
    private Integer maxAge;

    /**
     * 一级部位
     */
    private String bodypart;

    /**
     * 二级部位
     */
    private String subBodypart;

    /**
     * 显示顺序
     */
    private String displayOrder;

    /**
     * 科室
     */
    private String dept;

    /**
     * 术语身份编码
     */
    private String code;

    /**
     * 备注
     */
    private String note;

    /**
     * 是否删除,N:未删除，Y:删除
     */
    private String isDeleted;

    public Integer getId() {
        return id;
    }

    public void setId(Integer id) {
        this.id = id;
    }
    public Integer getConceptId() {
        return conceptId;
    }

    public void setConceptId(Integer conceptId) {
        this.conceptId = conceptId;
    }
    public String getName() {
        return name;
    }

    public void setName(String name) {
        this.name = name;
    }
    public String getStdName() {
        return stdName;
    }

    public void setStdName(String stdName) {
        this.stdName = stdName;
    }
    public String getCateName() {
        return cateName;
    }

    public void setCateName(String cateName) {
        this.cateName = cateName;
    }
    public String getGrp() {
        return grp;
    }

    public void setGrp(String grp) {
        this.grp = grp;
    }
    public String getFunction() {
        return function;
    }

    public void setFunction(String function) {
        this.function = function;
    }
    public String getGender() {
        return gender;
    }

    public void setGender(String gender) {
        this.gender = gender;
    }
    public Integer getMinAge() {
        return minAge;
    }

    public void setMinAge(Integer minAge) {
        this.minAge = minAge;
    }
    public Integer getMaxAge() {
        return maxAge;
    }

    public void setMaxAge(Integer maxAge) {
        this.maxAge = maxAge;
    }
    public String getBodypart() {
        return bodypart;
    }

    public void setBodypart(String bodypart) {
        this.bodypart = bodypart;
    }
    public String getSubBodypart() {
        return subBodypart;
    }

    public void setSubBodypart(String subBodypart) {
        this.subBodypart = subBodypart;
    }
    public String getDisplayOrder() {
        return displayOrder;
    }

    public void setDisplayOrder(String displayOrder) {
        this.displayOrder = displayOrder;
    }
    public String getDept() {
        return dept;
    }

    public void setDept(String dept) {
        this.dept = dept;
    }
    public String getCode() {
        return code;
    }

    public void setCode(String code) {
        this.code = code;
    }
    public String getNote() {
        return note;
    }

    public void setNote(String note) {
        this.note = note;
    }

    public String getIs_deleted() {
        return isDeleted;
    }

    public void setIs_deleted(String isDeleted) {
        this.isDeleted = isDeleted;
    }

    @Override
    public String toString() {
        return "Medical{" +
        "id=" + id +
        ", conceptId=" + conceptId +
        ", name=" + name +
        ", stdName=" + stdName +
        ", cateName=" + cateName +
        ", grp=" + grp +
        ", function=" + function +
        ", gender=" + gender +
        ", minAge=" + minAge +
        ", maxAge=" + maxAge +
        ", bodypart=" + bodypart +
        ", subBodypart=" + subBodypart +
        ", displayOrder=" + displayOrder +
        ", dept=" + dept +
        ", code=" + code +
        ", note=" + note +
        ", isDeleted=" + isDeleted +
        "}";
    }
}
